# 初始化

课程初始化，是指在学员注册课程之后开始学习课程之前，Learning Lab 对学员学习仓库进行的初始化操作。

初始化配置是可选的，配置的内容需要放在 `index.yml` 的第一段，在所有的 steps 配置之前。

## 参考示例

以下是课程初始化的一些参考示例：

在学员的学习仓库中创建一个 Issue 并将 Issue 链接保存下来以便后续使用：

```yaml
before:
  link: '{{chapter_1_issue}}'
  transitions:
    action:
      - type: create_issue
        title: "Markdown 介绍"
        with: 001_1_markdown_basic.md
        store:
          chapter_1_issue: '{{result.data.html_url}}'
```

新建一个合并请求

```yaml
before:
  - type: merge_request.create
    title: "解决冲突"
    body: 00_welcome-conflict-1.md
    head: update-config
```