# Responses

Responses 指课程中各种用于与学员进行交互的 `markdown` 格式文件，该文件的名称无关紧要，但是你可以使用一些命名约定来帮助你，例如为响应编号（1-welcome.md）或在响应错误时使用`e`作为文件名前缀，以帮助学习者从错误中导航（e-you-didnt-comment.md）。

## 使用示例

告诉学员当前步骤已经完成的 Response 文件：

```markdown
恭喜@{{%user%}}，通过本章节的介绍，相信你对 Markdown 已经有了一个基本的认识，在接下来的内容中，我们将开始向你介绍 Markdown 文档中常用的几个语法格式了。

##### 在开始新的章节学习之前，请点击下方的 `关闭 Issue` 按钮。
```

告诉学员进行下一步操作的 Response 文件（例子中用的是仅含一个选项的单选题来完成提示）：

```markdown
** :point_down: :point_down: :point_down: 请点击下方的继续学习按钮   **

(x) 继续学习 {{太棒了，让我们看看接下来的学习内容吧}}

|| 小提示：点击继续学习按钮就可以进入下一步啦。 ||
```

## 变量

在整个课程中，你可以使用变量为学员提供更加个性化的体验，以下是目前 Learning Lab 中支持并开放的变量：

| 变量| 说明|
|:--|:--|
|`{{course.title}}`|课程名称|
|`{{user}}`| 学习课程的学员用户名|
|`{{date}}`| 当前系统时间|
|`{{repo_url}}`| 学员的学习仓库 url |

后续我们将开放更多可用的变量。
