# 目录结构

通常，课程仓库的目录结构如下：

```bash
course-detail.md
manifest.yml
step1
   |--- response1.md
   |--- response…N.md   
   |--- index.yml
step2
   |--- response2.md
   |--- response…N.md
   |--- index.yml
```

在课程设计中，如果课程为9个步骤，则需要为每个步骤都创建一个文件夹，每个步骤相关的`index.yml`以及`response` MD 文件都需要单独放置在该步骤的文件夹中。

> `index.yml` 暂不支持跨文件夹引用 `response` MD 文件，如果某个`response` MD 文件在多个步骤中均需要使用到，则需要将该 MD 文件拷贝到每个步骤相应的文件夹中

## 课件仓库示例

目前，CODE CHINA 官方推出了《Git 入门》以及《Markdown 基础知识》两门课程，可以参考这两门课程的课件仓库：

- 《Git 入门》课件仓库 <https://codechina.csdn.net/codechina_dev/git-learning-course-config>
- 《Markdown 基础知识》课件仓库 <https://codechina.csdn.net/codechina_dev/markdown-course-config>